# Generated from pg_versions-1.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name pg_versions

Name: rubygem-%{gem_name}
Version: 1.0
Release: 1%{?dist}
Summary: Persistent timestamped postgres notification library
License: MIT
URL: https://gitlab.com/yunta/pg-versions
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec) >= 3.10
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(simplecov) >= 0.21
# BuildRequires: rubygem(simplecov) < 1
# BuildRequires: rubygem(activerecord) >= 7.0
# BuildRequires: rubygem(activerecord) < 8
BuildArch: noarch

%description
PostgreSQL notifications with persistence.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/MIT-LICENSE
%{gem_instdir}/create-table.sql
%{gem_instdir}/db
%{gem_instdir}/drop-table.sql
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}


%changelog
* Tue Apr 19 2022 mockbuilder - 1.0-1
- Initial package
